summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Sustrik <sustrik@250bpm.com>2010-03-16 15:24:57 +0100
committerMartin Sustrik <sustrik@250bpm.com>2010-03-16 15:24:57 +0100
commit5472861179ff232c55e7a7021a93da5c680f2017 (patch)
treeb0eec165e51d9b96e9defe20967878ef28c120b4
parent8a3f97400a2b3ef2ec088a00868087b85cfd81b6 (diff)
parent8fcf6ffb67aba2ff9f78f4ba327d29755f03535a (diff)
Merge branch 'master' of git@github.com:sustrik/zeromq2
-rwxr-xr-xautogen.sh30
1 files changed, 14 insertions, 16 deletions
diff --git a/autogen.sh b/autogen.sh
index 2b954af..cab10da 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -16,36 +16,34 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-# Script to generate all required files from fresh svn checkout.
+# Script to generate all required files from fresh git checkout.
-pkg-config --version > /dev/null 2>&1
+command -v pkg-config >/dev/null 2>&1
if [ $? -ne 0 ]; then
- echo
- echo "Could not find pkg-config, pkg.m4 macro is probably not installed."
- echo
+ echo "autogen.sh: error: could not find pkg-config. pkg-config is required to run autogen.sh." 1>&2
exit 1
fi
-libtool --version > /dev/null 2>&1
+command -v libtool >/dev/null 2>&1
if [ $? -ne 0 ]; then
- echo
- echo "Could not find libtool, libtool.m4 macro is probably not installed."
- echo
+ echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2
exit 1
fi
-mkdir -p config
+command -v autoreconf >/dev/null 2>&1
if [ $? -ne 0 ]; then
- echo
- echo "Cannot create config directory."
- echo
+ echo "autogen.sh: error: could not find autoreconf. autoconf and automake are required to run autogen.sh." 1>&2
+ exit 1
+fi
+
+mkdir -p ./config
+if [ $? -ne 0 ]; then
+ echo "autogen.sh: error: could not create directory: ./config." 1>&2
exit 1
fi
autoreconf --install --force --verbose -I config
if [ $? -ne 0 ]; then
- echo
- echo "Could not run autoreconf, check autotools installation."
- echo
+ echo "autogen.sh: error: autoreconf exited with status $?" 1>&2
exit 1
fi